## realtek-rtl8814au-dkms 5.8.5.1~git20240527.d8208c8

=== Makefile ===
EXTRA_CFLAGS += $(USER_EXTRA_CFLAGS)
EXTRA_CFLAGS += -O1
#EXTRA_CFLAGS += -O3
#EXTRA_CFLAGS += -Wall
#EXTRA_CFLAGS += -Wextra
#EXTRA_CFLAGS += -Werror
#EXTRA_CFLAGS += -pedantic
#EXTRA_CFLAGS += -Wshadow -Wpointer-arith -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes

EXTRA_CFLAGS += -Wno-unused-variable
#EXTRA_CFLAGS += -Wno-unused-value
#EXTRA_CFLAGS += -Wno-unused-label
#EXTRA_CFLAGS += -Wno-unused-parameter
EXTRA_CFLAGS += -Wno-unused-function
#EXTRA_CFLAGS += -Wno-unused
EXTRA_CFLAGS += -Wno-uninitialized
EXTRA_CFLAGS += -Wno-vla
EXTRA_CFLAGS += -Wno-misleading-indentation
EXTRA_CFLAGS += -Wno-implicit-fallthrough
EXTRA_CFLAGS += -Wno-return-type
EXTRA_CFLAGS += -Wno-discarded-qualifiers

# Activates Concurrent Mode if uncommented
#EXTRA_CFLAGS += -DCONFIG_CONCURRENT_MODE

# LED Control
EXTRA_CFLAGS += -DCONFIG_LED_CONTROL
EXTRA_CFLAGS += -DCONFIG_SW_LED -DCONFIG_RTW_SW_LED
EXTRA_CFLAGS += -DCONFIG_LED_ENABLE

# gcc-12
EXTRA_CFLAGS += -Wno-address
EXTRA_CFLAGS += -Wframe-larger-than=1648
EXTRA_CFLAGS += -Wno-cast-function-type

# gcc-13
EXTRA_CFLAGS += -Wno-enum-int-mismatch
EXTRA_CFLAGS += -Wno-stringop-overread
EXTRA_CFLAGS += -Wno-enum-conversion
EXTRA_CFLAGS += -Wno-int-in-bool-context
EXTRA_CFLAGS += -Wno-missing-prototypes
EXTRA_CFLAGS += -Wno-missing-declarations

GCC_VER_49 := $(shell echo `$(CC) -dumpversion | cut -f1-2 -d.` \>= 4.9 | bc )
ifeq ($(GCC_VER_49),1)
EXTRA_CFLAGS += -Wno-date-time	# Fix compile error && warning on gcc 4.9 and later
endif

EXTRA_CFLAGS += -I$(src)/include

EXTRA_LDFLAGS += --strip-debug

CONFIG_AUTOCFG_CP = n

########################## WIFI IC ############################
CONFIG_MULTIDRV = n
CONFIG_RTL8188E = n
CONFIG_RTL8812A = n
CONFIG_RTL8821A = n
CONFIG_RTL8192E = n
CONFIG_RTL8723B = n
CONFIG_RTL8814A = y
CONFIG_RTL8723C = n
CONFIG_RTL8188F = n
CONFIG_RTL8188GTV = n
CONFIG_RTL8822B = n
CONFIG_RTL8723D = n
CONFIG_RTL8821C = n
CONFIG_RTL8710B = n
CONFIG_RTL8192F = n
CONFIG_RTL8822C = n
CONFIG_RTL8814B = n
######################### Interface ###########################
CONFIG_USB_HCI = y
CONFIG_PCI_HCI = n
CONFIG_SDIO_HCI = n
CONFIG_GSPI_HCI = n
########################## Features ###########################
CONFIG_NET_NS = y
CONFIG_MP_INCLUDED = n
CONFIG_POWER_SAVING = n
CONFIG_IPS_MODE = default
CONFIG_LPS_MODE = default
CONFIG_USB_AUTOSUSPEND = n
CONFIG_HW_PWRP_DETECTION = n
CONFIG_BT_COEXIST = n
CONFIG_WAPI_SUPPORT = n
CONFIG_EFUSE_CONFIG_FILE = n
CONFIG_EXT_CLK = n
CONFIG_TRAFFIC_PROTECT = n
CONFIG_LOAD_PHY_PARA_FROM_FILE = y
CONFIG_TXPWR_BY_RATE = y
CONFIG_TXPWR_BY_RATE_EN = n
CONFIG_TXPWR_LIMIT = y
CONFIG_TXPWR_LIMIT_EN = n
CONFIG_RTW_CHPLAN = 0xFF
CONFIG_RTW_ADAPTIVITY_EN = disable
CONFIG_RTW_ADAPTIVITY_MODE = normal
CONFIG_SIGNAL_SCALE_MAPPING = n
CONFIG_80211W = y
CONFIG_REDUCE_TX_CPU_LOADING = n
CONFIG_BR_EXT = y
CONFIG_TDLS = n
CONFIG_WIFI_MONITOR = y
CONFIG_MCC_MODE = n
CONFIG_APPEND_VENDOR_IE_ENABLE = n
CONFIG_RTW_NAPI = y
CONFIG_RTW_GRO = y
CONFIG_RTW_NETIF_SG = y
CONFIG_RTW_IPCAM_APPLICATION = n
CONFIG_RTW_REPEATER_SON = n
CONFIG_RTW_WIFI_HAL = n
CONFIG_ICMP_VOQ = n
CONFIG_IP_R_MONITOR = n #arp VOQ and high rate
# user priority mapping rule : tos, dscp
CONFIG_RTW_UP_MAPPING_RULE = tos

########################## Debug ###########################
CONFIG_RTW_DEBUG = y
# default log level is _DRV_INFO_ = 4,
# please refer to "How_to_set_driver_debug_log_level.doc" to set the available level.
CONFIG_RTW_LOG_LEVEL = 1

# enable /proc/net/rtlxxxx/ debug interfaces
CONFIG_PROC_DEBUG = n
CONFIG_DISABLE_PHYDM_DEBUG_FUNCTION = y

######################## Wake On Lan ##########################
CONFIG_WOWLAN = n
#bit2: deauth, bit1: unicast, bit0: magic pkt.
CONFIG_WAKEUP_TYPE = 0x7
CONFIG_WOW_LPS_MODE = default
#bit0: disBBRF off, #bit1: Wireless remote controller (WRC)
CONFIG_SUSPEND_TYPE = 0
CONFIG_WOW_STA_MIX = n
CONFIG_GPIO_WAKEUP = n
# Please contact with RTK support team first. After getting the agreement from RTK support team,
# you are just able to modify the CONFIG_WAKEUP_GPIO_IDX with customized requirement.
CONFIG_WAKEUP_GPIO_IDX = default
CONFIG_HIGH_ACTIVE_DEV2HST = n
######### only for USB #########
CONFIG_ONE_PIN_GPIO = n
CONFIG_HIGH_ACTIVE_HST2DEV = n
CONFIG_PNO_SUPPORT = n
CONFIG_PNO_SET_DEBUG = n
CONFIG_AP_WOWLAN = n
######### Notify SDIO Host Keep Power During Syspend ##########
CONFIG_RTW_SDIO_PM_KEEP_POWER = y
###################### MP HW TX MODE FOR VHT #######################
CONFIG_MP_VHT_HW_TX_MODE = n
###################### Platform Related #######################
CONFIG_PLATFORM_AUTODETECT = y
CONFIG_PLATFORM_I386_PC = n
CONFIG_PLATFORM_ANDROID_X86 = n
CONFIG_PLATFORM_ANDROID_INTEL_X86 = n
CONFIG_PLATFORM_JB_X86 = n
CONFIG_PLATFORM_ARM_S3C2K4 = n
CONFIG_PLATFORM_ARM_PXA2XX = n
CONFIG_PLATFORM_ARM_S3C6K4 = n
CONFIG_PLATFORM_MIPS_RMI = n
CONFIG_PLATFORM_RTD2880B = n
CONFIG_PLATFORM_MIPS_AR9132 = n
CONFIG_PLATFORM_RTK_DMP = n
CONFIG_PLATFORM_MIPS_PLM = n
CONFIG_PLATFORM_MSTAR389 = n
CONFIG_PLATFORM_MT53XX = n
CONFIG_PLATFORM_ARM_MX51_241H = n
CONFIG_PLATFORM_FS_MX61 = n
CONFIG_PLATFORM_ACTIONS_ATJ227X = n
CONFIG_PLATFORM_TEGRA3_CARDHU = n
CONFIG_PLATFORM_TEGRA4_DALMORE = n
CONFIG_PLATFORM_ARM_TCC8900 = n
CONFIG_PLATFORM_ARM_TCC8920 = n
CONFIG_PLATFORM_ARM_TCC8920_JB42 = n
CONFIG_PLATFORM_ARM_TCC8930_JB42 = n
CONFIG_PLATFORM_ARM_RK2818 = n
CONFIG_PLATFORM_ARM_RK3066 = n
CONFIG_PLATFORM_ARM_RK3188 = n
CONFIG_PLATFORM_ARM_RK3399 = n
CONFIG_PLATFORM_ARM_URBETTER = n
CONFIG_PLATFORM_ARM_TI_PANDA = n
CONFIG_PLATFORM_MIPS_JZ4760 = n
CONFIG_PLATFORM_DMP_PHILIPS = n
CONFIG_PLATFORM_MSTAR_TITANIA12 = n
CONFIG_PLATFORM_MSTAR = n
CONFIG_PLATFORM_SZEBOOK = n
CONFIG_PLATFORM_ARM_SUNxI = n
CONFIG_PLATFORM_ARM_SUN6I = n
CONFIG_PLATFORM_ARM_SUN7I = n
CONFIG_PLATFORM_ARM_SUN8I_W3P1 = n
CONFIG_PLATFORM_ARM_SUN8I_W5P1 = n
CONFIG_PLATFORM_ACTIONS_ATM702X = n
CONFIG_PLATFORM_ACTIONS_ATV5201 = n
CONFIG_PLATFORM_ACTIONS_ATM705X = n
CONFIG_PLATFORM_ARM_SUN50IW1P1 = n
CONFIG_PLATFORM_ARM_RTD299X = n
CONFIG_PLATFORM_ARM_LGE = n
CONFIG_PLATFORM_ARM_SPREADTRUM_6820 = n
CONFIG_PLATFORM_ARM_SPREADTRUM_8810 = n
CONFIG_PLATFORM_ARM_WMT = n
CONFIG_PLATFORM_TI_DM365 = n
CONFIG_PLATFORM_MOZART = n
CONFIG_PLATFORM_RTK119X = n
CONFIG_PLATFORM_RTK119X_AM = n
CONFIG_PLATFORM_RTK129X = n
CONFIG_PLATFORM_RTK390X = n
CONFIG_PLATFORM_NOVATEK_NT72668 = n
CONFIG_PLATFORM_HISILICON = n
CONFIG_PLATFORM_HISILICON_HI3798 = n
CONFIG_PLATFORM_NV_TK1 = n
CONFIG_PLATFORM_NV_TK1_UBUNTU = n
CONFIG_PLATFORM_RTL8197D = n
CONFIG_PLATFORM_AML_S905 = n
CONFIG_PLATFORM_ZTE_ZX296716 = n
########### CUSTOMER ################################
CONFIG_CUSTOMER_HUAWEI_GENERAL = n

CONFIG_DRVEXT_MODULE = n

export TopDIR ?= $(shell pwd)

########### COMMON  #################################
ifeq ($(CONFIG_GSPI_HCI), y)
HCI_NAME = gspi
endif

ifeq ($(CONFIG_SDIO_HCI), y)
HCI_NAME = sdio
endif

ifeq ($(CONFIG_USB_HCI), y)
HCI_NAME = usb
endif

ifeq ($(CONFIG_PCI_HCI), y)
HCI_NAME = pci
endif


_OS_INTFS_FILES :=	os_dep/osdep_service.o \
			os_dep/linux/os_intfs.o \
			os_dep/linux/$(HCI_NAME)_intf.o \
			os_dep/linux/$(HCI_NAME)_ops_linux.o \
			os_dep/linux/ioctl_linux.o \
			os_dep/linux/xmit_linux.o \
			os_dep/linux/mlme_linux.o \
			os_dep/linux/recv_linux.o \
			os_dep/linux/ioctl_cfg80211.o \
			os_dep/linux/rtw_cfgvendor.o \
			os_dep/linux/wifi_regd.o \
			os_dep/linux/rtw_android.o \
			os_dep/linux/rtw_proc.o \
			os_dep/linux/rtw_rhashtable.o

ifeq ($(CONFIG_MP_INCLUDED), y)
_OS_INTFS_FILES += os_dep/linux/ioctl_mp.o
endif

ifeq ($(CONFIG_SDIO_HCI), y)
_OS_INTFS_FILES += os_dep/linux/custom_gpio_linux.o
_OS_INTFS_FILES += os_dep/linux/$(HCI_NAME)_ops_linux.o
endif

ifeq ($(CONFIG_GSPI_HCI), y)
_OS_INTFS_FILES += os_dep/linux/custom_gpio_linux.o
_OS_INTFS_FILES += os_dep/linux/$(HCI_NAME)_ops_linux.o
endif


_HAL_INTFS_FILES :=	hal/hal_intf.o \
			hal/hal_com.o \
			hal/hal_com_phycfg.o \
			hal/hal_phy.o \
			hal/hal_dm.o \
			hal/hal_dm_acs.o \
			hal/hal_btcoex_wifionly.o \
			hal/hal_btcoex.o \
			hal/hal_mp.o \
			hal/hal_mcc.o \
			hal/hal_hci/hal_$(HCI_NAME).o \
			hal/led/hal_led.o \
			hal/led/hal_$(HCI_NAME)_led.o


EXTRA_CFLAGS += -I$(src)/platform
_PLATFORM_FILES := platform/platform_ops.o

EXTRA_CFLAGS += -I$(src)/hal/btc

########### HAL_RTL8188E #################################
ifeq ($(CONFIG_RTL8188E), y)

RTL871X = rtl8188e
ifeq ($(CONFIG_SDIO_HCI), y)
MODULE_NAME = 8189es
endif

ifeq ($(CONFIG_GSPI_HCI), y)
MODULE_NAME = 8189es
endif

ifeq ($(CONFIG_USB_HCI), y)
MODULE_NAME = 8188eu
endif

ifeq ($(CONFIG_PCI_HCI), y)
MODULE_NAME = 8188ee
endif
EXTRA_CFLAGS += -DCONFIG_RTL8188E

_HAL_INTFS_FILES +=	hal/HalPwrSeqCmd.o \
					hal/$(RTL871X)/Hal8188EPwrSeq.o \
					hal/$(RTL871X)/$(RTL871X)_xmit.o \
					hal/$(RTL871X)/$(RTL871X)_sreset.o

_HAL_INTFS_FILES +=	hal/$(RTL871X)/$(RTL871X)_hal_init.o \
			hal/$(RTL871X)/$(RTL871X)_phycfg.o \
			hal/$(RTL871X)/$(RTL871X)_rf6052.o \
			hal/$(RTL871X)/$(RTL871X)_dm.o \
			hal/$(RTL871X)/$(RTL871X)_rxdesc.o \
			hal/$(RTL871X)/$(RTL871X)_cmd.o \
			hal/$(RTL871X)/hal8188e_s_fw.o \
			hal/$(RTL871X)/hal8188e_t_fw.o \
			hal/$(RTL871X)/$(HCI_NAME)/$(HCI_NAME)_halinit.o \
			hal/$(RTL871X)/$(HCI_NAME)/rtl$(MODULE_NAME)_led.o \
			hal/$(RTL871X)/$(HCI_NAME)/rtl$(MODULE_NAME)_xmit.o \
			hal/$(RTL871X)/$(HCI_NAME)/rtl$(MODULE_NAME)_recv.o

ifeq ($(CONFIG_SDIO_HCI), y)
_HAL_INTFS_FILES += hal/$(RTL871X)/$(HCI_NAME)/$(HCI_NAME)_ops.o
else
ifeq ($(CONFIG_GSPI_HCI), y)
_HAL_INTFS_FILES += hal/$(RTL871X)/$(HCI_NAME)/$(HCI_NAME)_ops.o
else
_HAL_INTFS_FILES += hal/$(RTL871X)/$(HCI_NAME)/$(HCI_NAME)_ops_linux.o
endif
endif

ifeq ($(CONFIG_USB_HCI), y)
_HAL_INTFS_FILES +=hal/efuse/$(RTL871X)/HalEfuseMask8188E_USB.o
endif
ifeq ($(CONFIG_PCI_HCI), y)
_HAL_INTFS_FILES +=hal/efuse/$(RTL871X)/HalEfuseMask8188E_PCIE.o
endif
ifeq ($(CONFIG_SDIO_HCI), y)
_HAL_INTFS_FILES +=hal/efuse/$(RTL871X)/HalEfuseMask8188E_SDIO.o
endif

endif

########### HAL_RTL8192E #################################
ifeq ($(CONFIG_RTL8192E), y)

RTL871X = rtl8192e
ifeq ($(CONFIG_SDIO_HCI), y)
MODULE_NAME = 8192es
endif

ifeq ($(CONFIG_USB_HCI), y)
MODULE_NAME = 8192eu
endif

ifeq ($(CONFIG_PCI_HCI), y)
MODULE_NAME = 8192ee
endif
EXTRA_CFLAGS += -DCONFIG_RTL8192E
_HAL_INTFS_FILES += hal/HalPwrSeqCmd.o \
					hal/$(RTL871X)/Hal8192EPwrSeq.o \
					hal/$(RTL871X)/$(RTL871X)_xmit.o \
					hal/$(RTL871X)/$(RTL871X)_sreset.o

_HAL_INTFS_FILES +=	hal/$(RTL871X)/$(RTL871X)_hal_init.o \
			hal/$(RTL871X)/$(RTL871X)_phycfg.o \
			hal/$(RTL871X)/$(RTL871X)_rf6052.o \
			hal/$(RTL871X)/$(RTL871X)_dm.o \
			hal/$(RTL871X)/$(RTL871X)_rxdesc.o \
			hal/$(RTL871X)/$(RTL871X)_cmd.o \
			hal/$(RTL871X)/hal8192e_fw.o \
			hal/$(RTL871X)/$(HCI_NAME)/$(HCI_NAME)_halinit.o \
			hal/$(RTL871X)/$(HCI_NAME)/rtl$(MODULE_NAME)_led.o \
			hal/$(RTL871X)/$(HCI_NAME)/rtl$(MODULE_NAME)_xmit.o \
			hal/$(RTL871X)/$(HCI_NAME)/rtl$(MODULE_NAME)_recv.o

ifeq ($(CONFIG_SDIO_HCI), y)
_HAL_INTFS_FILES += hal/$(RTL871X)/$(HCI_NAME)/$(HCI_NAME)_ops.o
else
ifeq ($(CONFIG_GSPI_HCI), y)
_HAL_INTFS_FILES += hal/$(RTL871X)/$(HCI_NAME)/$(HCI_NAME)_ops.o
else
_HAL_INTFS_FILES += hal/$(RTL871X)/$(HCI_NAME)/$(HCI_NAME)_ops_linux.o
endif
endif

ifeq ($(CONFIG_USB_HCI), y)
_HAL_INTFS_FILES +=hal/efuse/$(RTL871X)/HalEfuseMask8192E_USB.o
endif
ifeq ($(CONFIG_PCI_HCI), y)
_HAL_INTFS_FILES +=hal/efuse/$(RTL871X)/HalEfuseMask8192E_PCIE.o
endif
ifeq ($(CONFIG_SDIO_HCI), y)
_HAL_INTFS_FILES +=hal/efuse/$(RTL871X)/HalEfuseMask8192E_SDIO.o
endif

ifeq ($(CONFIG_BT_COEXIST), y)
_BTC_FILES += hal/btc/halbtc8192e1ant.o \
				hal/btc/halbtc8192e2ant.o
endif

endif

########### HAL_RTL8812A_RTL8821A #################################

ifneq ($(CONFIG_RTL8812A)_$(CONFIG_RTL8821A), n_n)

RTL871X = rtl8812a
ifeq ($(CONFIG_USB_HCI), y)
MODULE_NAME = 8812au
endif
ifeq ($(CONFIG_PCI_HCI), y)
MODULE_NAME = 8812ae
endif
ifeq ($(CONFIG_SDIO_HCI), y)
MODULE_NAME = 8812as
endif

_HAL_INTFS_FILES +=  hal/HalPwrSeqCmd.o \
					hal/$(RTL871X)/Hal8812PwrSeq.o \
					hal/$(RTL871X)/Hal8821APwrSeq.o \

=== debian/changelog ===
realtek-rtl8814au-dkms (5.8.5.1~git20240527.d8208c8-0parrot1) lory-updates; urgency=medium

  * Import new Kali release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 21 Jul 2024 01:56:31 +0200

realtek-rtl8814au-dkms (5.8.5.1~git20240527.d8208c8-0kali1) kali-dev; urgency=medium

  * New upstream version 5.8.5.1~git20240527.d8208c8
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 31 May 2024 11:07:02 +0200

realtek-rtl8814au-dkms (5.8.5.1~git20231211.866a910-0parrot1) lory-updates; urgency=medium

  * Import new upstream version 5.8.5.1~git20231211.866a910.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 18 Jan 2024 18:41:51 +0100

realtek-rtl8814au-dkms (5.8.5.1~git20230614.8a1908d-0parrot2) lory-updates; urgency=medium

  * Rebuild package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 14 Nov 2023 11:05:05 +0100

realtek-rtl8814au-dkms (5.8.5.1~git20230614.8a1908d-0parrot1) lory-updates; urgency=medium

  * Import new Kali release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 13 Nov 2023 13:53:14 +0100

realtek-rtl8814au-dkms (5.8.5.1~git20230614.8a1908d-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Override dkms autopkgtest

  [ Sophie Brun ]
  * New upstream version 5.8.5.1~git20230614.8a1908d
  * Refresh patches
  * Update debian/copyright
  * Install new files
  * Use absolute path in dkms.conf

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 05 Jul 2023 16:58:54 +0200

realtek-rtl8814au-dkms (5.8.5.1~git20221110.932df6f-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 5.8.5.1~git20221110.932df6f
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Feb 2023 14:21:31 +0100

realtek-rtl8814au-dkms (5.8.5.1~git20220905.3f2f680-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * No more dh-exec (requires compat 13)
  * Switch to dh-sequence-dkms
  * Set PACKAGE_VERSION in override_dh_dkms

  [ Sophie Brun ]
  * New upstream version 5.8.5.1~git20220905.3f2f680
  * Add info in patch
  * Bump Standards-Version to 4.6.1 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Oct 2022 14:33:01 +0200

realtek-rtl8814au-dkms (5.8.5.1~git20220614.af00239-0kali3) kali-dev; urgency=medium

  * Adapt dkms.conf for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Jun 2022 11:16:43 +0200

realtek-rtl8814au-dkms (5.8.5.1~git20220614.af00239-0kali2) kali-dev; urgency=medium

  * Remove useless patch (version changed in debian/rules)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Jun 2022 10:55:10 +0200

realtek-rtl8814au-dkms (5.8.5.1~git20220614.af00239-0kali1) kali-dev; urgency=medium

  * New upstream version 5.8.5.1~git20220614.af00239
  * Add missing depend bc

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Jun 2022 09:42:10 +0200

realtek-rtl8814au-dkms (5.8.5.1~git20220221.a538e38-0kali1) kali-dev; urgency=medium

  * Update debian/watch for new upstream repo
  * New upstream version 5.8.5.1~git20220221.a538e38
  * Refresh patches (drop patch for kernel 5.15, fixed by upstream)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 May 2022 10:17:23 +0200

realtek-rtl8814au-dkms (5.8.5.1~git20210730.824d1d2-0kali2) kali-dev; urgency=medium

  * Add a patch to fix compilation with kernel 5.15

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 Dec 2021 17:32:14 +0100

realtek-rtl8814au-dkms (5.8.5.1~git20210730.824d1d2-0kali1) kali-dev; urgency=medium

  * Change the upstream repo
  * New upstream version 5.8.5.1~git20210730.824d1d2
  * Add a patch to fix version in dkms.conf
  * Fix lintian-overrides
  * Bump Standards-Version to 4.6.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Sep 2021 12:10:46 +0200

realtek-rtl8814au-dkms (5.8.5.1~git20210331.bdf80b5-0kali1) kali-dev; urgency=medium

    * Initial release (see 7193)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 May 2021 11:05:39 +0200

=== debian/control ===
Source: realtek-rtl8814au-dkms
Section: contrib/kernel
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Standards-Version: 4.6.2
Homepage: https://github.com/morrownr/8814au

Package: realtek-rtl8814au-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}, bc
Description: Realtek RTL8814AU driver in DKMS format
 This package provides the source code for RTL8814AU Linux driver (with monitor
 mode and frame injection) to be build with dkms. Kernel sources or headers are
 required to compile this module.

## realtek-rtl8814au-dkms 5.8.5.1~git20250903.8d82854

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,15 @@
 EXTRA_CFLAGS += -Wno-return-type
 EXTRA_CFLAGS += -Wno-discarded-qualifiers
 
+EXTRA_CFLAGS += -Wno-empty-body
+
 # Activates Concurrent Mode if uncommented
 #EXTRA_CFLAGS += -DCONFIG_CONCURRENT_MODE
+
+# Sets wireless regulatory (REGD) sourse to OS
+EXTRA_CFLAGS += -DCONFIG_REGD_SRC_FROM_OS
+# May be needed to ensure all channels are scanned
+EXTRA_CFLAGS += -DCONFIG_FORCE_SW_CHANNEL_PLAN
 
 # LED Control
 EXTRA_CFLAGS += -DCONFIG_LED_CONTROL
@@ -417,12 +424,3 @@
 MODULE_NAME = 8812au
 endif
 ifeq ($(CONFIG_PCI_HCI), y)
-MODULE_NAME = 8812ae
-endif
-ifeq ($(CONFIG_SDIO_HCI), y)
-MODULE_NAME = 8812as
-endif
-
-_HAL_INTFS_FILES +=  hal/HalPwrSeqCmd.o \
-					hal/$(RTL871X)/Hal8812PwrSeq.o \
-					hal/$(RTL871X)/Hal8821APwrSeq.o \

=== debian/changelog ===
realtek-rtl8814au-dkms (5.8.5.1~git20250903.8d82854-0kali1) kali-dev; urgency=medium

  * Update my email
  * Do not build for kernel >6.15
  * New upstream version 5.8.5.1~git20250903.8d82854
  * Update description in debian/control

 -- Sophie Brun <sophie@kali.org>  Tue, 30 Sep 2025 11:59:40 +0200

realtek-rtl8814au-dkms (5.8.5.1~git20231211.866a910-0kali1) kali-dev; urgency=medium

  * New upstream version 5.8.5.1~git20231211.866a910

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 15 Jan 2024 14:43:10 +0100

=== debian/control ===
Source: realtek-rtl8814au-dkms
Section: contrib/kernel
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Standards-Version: 4.6.2
Homepage: https://github.com/morrownr/8814au
Vcs-Browser: https://gitlab.com/kalilinux/packages/realtek-rtl8814au-dkms
Vcs-Git: https://gitlab.com/kalilinux/packages/realtek-rtl8814au-dkms.git

Package: realtek-rtl8814au-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}, bc
Description: Realtek RTL8814AU driver in DKMS format for kernel < 6.15
 This package provides the source code for RTL8814AU Linux driver (with monitor
 mode and frame injection) to be build with dkms. Kernel sources or headers are
 required to compile this module.
 .
 This package is only required for kernel < 6.15

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@

override_dh_dkms:
	# Force PACKAGE_VERSION to be DEB_VERSION_UPSTREAM
	sed -i dkms.conf -e 's%^PACKAGE_VERSION=.*%PACKAGE_VERSION="$(DEB_VERSION_UPSTREAM)"%'
	# use absolute path for dkms-make.sh
	sed -i dkms.conf -e 's%^MAKE="./dkms-make.sh"%MAKE="/usr/src/realtek-rtl8814au-$(DEB_VERSION_UPSTREAM)/dkms-make.sh"%'
	dh_dkms -- dkms.conf

execute_after_dh_fixperms:
	find debian/realtek-rtl8814au-dkms/usr/src -type f -exec chmod -x {} \;
	chmod 755 debian/realtek-rtl8814au-dkms/usr/src/realtek-*/dkms-make.sh

# Nothing to configure, build or auto-install (all is done after
# installation using dkms)
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:

=== debian/tests/control ===
Test-Command: debian/tests/dkms-autopkgtest
Restrictions: needs-root allow-stderr

=== debian/watch ===
version=4
opts="mode=git, pretty=5.8.5.1~git%cd.%h, pgpmode=none" \
  https://github.com/morrownr/8814au.git \
  HEAD debian uupdate

# Use the following when upstream starts to tag releases:
#opts="filenamemangle=s/.*\/v?(.*)\.tar\.gz/realtek-rtl8814au-$1.tar.gz/" \
#https://github.com/morrownr/8814au/tags .*/v?(.*)\.tar\.gz
